Fish_SquamaDragonSlayerCFG = {}

function Fish_SquamaDragonSlayerCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_SquamaDragonSlayerCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, ItemId = 16, ItemCount = 20, DimensityCount = 100}
	self.datas[2] = {ID = 2, ItemId = 5, ItemCount = 10, DimensityCount = 500}
	self.datas[3] = {ID = 3, ItemId = 23, ItemCount = 2, DimensityCount = 1000}
	self.datas[4] = {ID = 4, ItemId = 41, ItemCount = 1, DimensityCount = 2000}
	self.datas[5] = {ID = 5, ItemId = 24, ItemCount = 2, DimensityCount = 5000}
	self.datas[6] = {ID = 6, ItemId = 25, ItemCount = 1, DimensityCount = 20000}
	self.datas[7] = {ID = 7, ItemId = 26, ItemCount = 1, DimensityCount = 50000}
	self.datas[8] = {ID = 8, ItemId = 27, ItemCount = 1, DimensityCount = 100000}
	self.datas[9] = {ID = 9, ItemId = 27, ItemCount = 2, DimensityCount = 250000}
	self.datas[10] = {ID = 10, ItemId = 96, ItemCount = 1, DimensityCount = 500000}
end

Fish_SquamaDragonSlayerCFG:init()
